Package net.shibboleth.idp.attribute.filter.spring.saml.impl

# Class AbstractEntityGroupRuleParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser
net.shibboleth.idp.attribute.filter.spring.BaseFilterParser
net.shibboleth.idp.attribute.filter.spring.policyrule.BasePolicyRuleParser
net.shibboleth.idp.attribute.filter.spring.saml.impl.AbstractEntityGroupRuleParser

All Implemented Interfaces:
  `BeanDefinitionParser`

Direct Known Subclasses:
  `IssuerInEntityGroupRuleParser`, `ProxiedRequesterInEntityGroupRuleParser`, `RequesterInEntityGroupRuleParser`

public abstract class AbstractEntityGroupRuleParser extends BasePolicyRuleParser
Parser for entity group policy rules.

## Field Summary

### Fields inherited from class net.shibboleth.idp.attribute.filter.spring.BaseFilterParser

`AFP_ELEMENT_NAME, DENY_VALUE_RULE, NAMESPACE, PERMIT_VALUE_RULE, POLICY_REQUIREMENT_RULE, QUALIFIED_ID`

### Fields inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`CUSTOM_PARSER_PROPERTIES_LOCATION`

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractEntityGroupRuleParser()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doNativeParse(Element element, ParserContext parserContext, BeanDefinitionBuilder builder)`
Parser the native bean class.

### Methods inherited from class net.shibboleth.idp.attribute.filter.spring.policyrule.BasePolicyRuleParser

`doParse, getBeanClass, getNativeBeanClass, hasAttributeId`

### Methods inherited from class net.shibboleth.idp.attribute.filter.spring.BaseFilterParser

`getAbsoluteReference, getQualifiedId, isPolicyRule, parseCustomElements, resolveId`

### Methods inherited from class net.shibboleth.shared.spring.custom.AbstractCustomBeanDefinitionParser

`getCustomProperty, registerBeanDefinition`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

`doParse, getBeanClassName, getParentName, parseInternal`

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractEntityGroupRuleParser

public AbstractEntityGroupRuleParser()

## Method Details

### doNativeParse

protected void doNativeParse(@Nonnull Element element, @Nonnull ParserContext parserContext, @Nonnull BeanDefinitionBuilder builder)
Parser the native bean class. This is either called direct or then injected into the nesting class.

Specified by:
  `doNativeParse` in class `BasePolicyRuleParser`
Parameters:
  `element` - the config
  `parserContext` - the context
  `builder` - the builder